#!/bin/bash

# 导航到 Dockerfile 所在目录
#cd D:\workspace\e2023\goProject\trunk\center\admincenter

# 构建 Docker 镜像
echo "开始构建 Docker 镜像..."
docker build -t adminserver-image .

# 检查构建是否成功
if [ $? -ne 0 ]; then
    echo "构建失败!"
    exit 1
fi

echo "镜像构建成功!"

# 运行 Docker 容器
echo "开始运行 Docker 容器..."
docker run -d -p 10051:10051 --name adminserver-container adminserver-image

# 检查容器是否成功运行
if [ $? -ne 0 ]; then
    echo "容器启动失败!"
    exit 1
fi

echo "容器启动成功!"
